﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        ConfigureRadFileExplorer();
    }

    private void ConfigureRadFileExplorer()
    {
        RadFileExplorer1.Configuration.ViewPaths = new string[] { "~/Thumbs/" };
        RadFileExplorer1.Configuration.DeletePaths = new string[] { "~/Thumbs/" };
        RadFileExplorer1.Configuration.UploadPaths = new string[] { "~/Thumbs/" };
        RadFileExplorer1.InitialPath = Page.ResolveUrl("~/Thumbs/");
        RadFileExplorer1.Upload.OnClientAdded = "addTitle";

        RadFileExplorer1.ItemCommand += new RadFileExplorerEventHandler(RadFileExplorer1_ItemCommand);
    }



    protected void RadFileExplorer1_ItemCommand(object sender, RadFileExplorerEventArgs e)
    {
        if (e.Command == "UploadFile")
        {
            RadFileExplorer explorer = sender as RadFileExplorer;
            RadUpload upload = explorer.Upload;

            //e.Path holds the file path
            string name = e.Path.Split(new char[] { '/' }).Last(); // get the filename including extension ;

            foreach (UploadedFile uploadedFile in upload.UploadedFiles)
            {
                if (name.Equals(uploadedFile.GetName()))
                {
                    string fileName = uploadedFile.GetName();
                    string title = uploadedFile.GetFieldValue("Title");
                    string description = uploadedFile.GetFieldValue("Desc");
                    bool createThumbnail = uploadedFile.GetIsFieldChecked("Thumbnail");

                    // Your implementation ...
                    // ..........



                    break;
                }

            }
        }
    }
}
